---
title: MerchantValidationEvent()
slug: Web/API/MerchantValidationEvent/MerchantValidationEvent
tags:
  - API
  - Commerce
  - Constructor
  - Merchant Validation
  - MerchantValidationEvent
  - Merchants
  - Payment Request API
  - Payment Requests
  - Payments
  - Reference
---
<p>{{deprecated_header}}{{non-standard_header}}{{securecontext_header}}</p>

<p><span class="seoSummary">The <strong><code>MerchantValidationEvent()</code></strong> constructor creates a new {{domxref("MerchantValidationEvent")}} object. You should not have to create these events yourself; instead, just handle the {{event("merchantvalidation")}} event.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>merchantValidationEvent</em> = new MerchantValidationEvent(<em>type</em>, <em>options</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>type</code></dt>
 <dd>A {{domxref("DOMString")}} which must be <code>merchantvalidation</code>, the only type of event which uses the <code>MerchantValidationEvent</code> interface.</dd>
 <dt><code>options</code> {{optional_inline}}</dt>
 <dd>
 <p>An optional dictionary which may contain zero or more of the following properties:</p>

 <dl>
  <dt><code>methodName</code> {{optional_inline}}</dt>
  <dd>A {{domxref("DOMString")}} containing the payment method identifier for the payment handler being used. This is an empty string by default.</dd>
  <dt><code>validationURL</code> {{optional_inline}}</dt>
  <dd>The URL from which to retrieve payment handler specific verification information used to validate the merchant. This is an empty string by default.</dd>
 </dl>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A newly-created {{domxref("MerchantValidationEvent")}} providing the information that needs to be delivered to the client-side code to present to the {{Glossary("user agent")}} by calling {{domxref("MerchantValidationEvent.complete", "complete()")}}.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><code>TypeError</code></dt>
 <dd>The string specified as <code>validationURL</code> could not be parsed as a URL.</dd>
 <dt><code>RangeError</code></dt>
 <dd>The specified <code>methodName</code> does not correspond to a known and supported merchant or is not a well-formed standard payment method identifier.</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MerchantValidationEvent.MerchantValidationEvent")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API">Payment Request API</a></li>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API/Using_the_Payment_Request_API">Using the Payment Request API</a></li>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API/Concepts">Payment processing concepts</a></li>
</ul>
